Bug 1292371 - vdsm logs the wrong xml when dehibernating
vdsm logs the wrong xml when dehibernating
Status: CLOSED CURRENTRELEASE
Product: vdsm
Classification: oVirt
Component: Core (Show other bugs)
4.17.11
Unspecified Unspecified
low Severity low (vote)
: ovirt-3.6.2
: 4.17.15
Assigned To: Francesco Romani
sefi litmanovich
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 03:39 EST by Francesco Romani
Modified: 2016-02-18 06:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:18:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
danken: ovirt‑3.6.z?
rule-engine: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 49139 ovirt-3.6 MERGED vm: fix misleading XML log 2015-12-22 07:34 EST

  None (edit)
Description Francesco Romani 2015-12-17 03:39:54 EST
Description of problem:
When dehibernating (aka restoring state aka migrating from file) VDSM logs the wrong XML.
The XML being logged is the one which would be created if the VM will be started from scratch again, not the one actually used, and store in the VM state.

Version-Release number of selected component (if applicable):
4.17.x

How reproducible:
100%

Steps to Reproduce:
1. hibernate a VM
2. dehibernate a VM
3. check the logs, compare what Vdsm logs to what Vdsm stored in the recovery file, and to what libvirt sees (virsh -r dumpxml $DOMAIN)

Actual results:
wrong (and meaningless) XML is logged

Expected results:
Vdsm logs the actual XML it sent to libvirt

Additional info:
This change affects only logging, to help troubleshooting. No changes in flow.
Comment 1 Sandro Bonazzola 2015-12-23 10:00:52 EST
QE note, not in vdsm-4.17.14
Comment 2 Barak Korren 2015-12-29 09:48:59 EST
RHEV build 3.6.2-3 released
http://bob.eng.lab.tlv.redhat.com/builds/3.6/3.6.2-3/
Comment 3 sefi litmanovich 2016-01-07 08:26:42 EST
Verified with rhevm-3.6.2-0.1.el6.noarch on both vdsm-4.17.14-0.el7ev.noarch and vdsm-4.17.15-0.el7ev.noarch hosts.

In both cases after hibernate and de-hibernate the xml in vdsm log correlates to the xml from qemu.
Comment 4 sefi litmanovich 2016-01-07 08:27:01 EST
Verified with rhevm-3.6.2-0.1.el6.noarch on both vdsm-4.17.14-0.el7ev.noarch and vdsm-4.17.15-0.el7ev.noarch hosts.

In both cases after hibernate and de-hibernate the xml in vdsm log correlates to the xml from qemu.

Note You need to log in before you can comment on or make changes to this bug.